Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
...
Checking mergeability… Don't worry, you can still create the pull request.
  • 5 commits
  • 4 files changed
  • 0 commit comments
  • 1 contributor
Commits on Jul 28, 2012
@francescoagati francescoagati updated to version 0.3.21 of opal f995785
@francescoagati francescoagati not parse file .rb
because it try to compile also file .rb inside the directory lib of engines in rails
867cbab
Commits on Aug 20, 2012
@francescoagati francescoagati Update lib/opal/rails/processor.rb
restore file .rb
251f70e
@francescoagati francescoagati Update opal-rails.gemspec
leave opal-dom
a034fff
@francescoagati francescoagati Update Gemfile
no opal-dom
622ff82
View
2  Gemfile
@@ -5,7 +5,7 @@ gemspec
gem 'opal', :git => 'git://github.com/elia/opal.git'
-gem 'opal-dom', :git => 'git://github.com/adambeynon/opal-dom.git'
+#gem 'opal-dom', :git => 'git://github.com/adambeynon/opal-dom.git'
gem 'launchy'
# Test app stuff
View
7 lib/opal/rails/processor.rb
@@ -27,8 +27,11 @@ def evaluate(scope, locals, &block)
end
end
-Tilt.register 'opal', Opal::Rails::Processor
-Sprockets.register_engine '.opal', Opal::Rails::Processor
Tilt.register 'rb', Opal::Rails::Processor
Sprockets.register_engine '.rb', Opal::Rails::Processor
+Tilt.register 'opal', Opal::Rails::Processor
+Sprockets.register_engine '.opal', Opal::Rails::Processor
+
+#Tilt.register 'rb', Opal::Rails::Processor
+#Sprockets.register_engine '.rb', Opal::Rails::Processor
View
2  lib/opal/rails/version.rb
@@ -1,6 +1,6 @@
module Opal
module Rails
VERSION = '0.1.0'
- OPAL_VERSION = '0.3.20'
+ OPAL_VERSION = '0.3.21'
end
end
View
2  opal-rails.gemspec
@@ -21,7 +21,7 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'opal', Opal::Rails::OPAL_VERSION
s.add_runtime_dependency 'opal-spec'
- s.add_runtime_dependency 'opal-dom'
+ #s.add_runtime_dependency 'opal-dom'
s.add_runtime_dependency 'rails', '~> 3.2.0'
s.add_runtime_dependency 'sprockets', '~> 2.1'

No commit comments for this range

Something went wrong with that request. Please try again.